package be.iminds.ilabt.jfed.espec.bundle;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.annotation.Nonnull;
import java.io.ByteArrayInputStream;
import java.io.InputStream;

/**
 * Bundle
 */
public class InMemoryArchiveESpecBundle extends AbstractArchiveESpecBundle {
    private static final Logger LOG = LoggerFactory.getLogger(InMemoryArchiveESpecBundle.class);

    InMemoryArchiveESpecBundle(@Nonnull InputStream archiveInputStream) throws ESpecBundleInitException {
        super(archiveInputStream);
    }
    InMemoryArchiveESpecBundle(@Nonnull byte[] bytes) throws ESpecBundleInitException {
        super(() -> new ByteArrayInputStream(bytes), false);
    }
}
